﻿' PageConfigOfflineVerification = aktuelle Seiten Prüflauf ausführen, Version 1.0.0, vom 21.10.2009
'
' Dieses Skript erzeugt einen neuen Menüpunkt "aktuelle Seite Prüflauf ausführen..." unter dem Hauptmenu "Projektdaten, Meldungen",
' Dieser ruft den Dialog "Prüflauf ausführen" der aktuellen Seite auf.
' Es kann dann auch: "Anwendung auf gesamtes Projekt" ausgewählt werden.
' Dem neuen Menüpunkt kann dann z.B. die Tastenkombination "STRG+ALT+S" zugeordnet werden.
'
' Copyright by Harald Lankl, Fa. Staudinger GmbH, 21.10.2009


' für Eplan Electric P8, ab V1.9.6 / HF1 und V1.9.10 / SP1
'
'
Public Class PageConfigOfflineVerification
  <DeclareMenu()> _
   Public Sub PageConfigOfflineVerificationMenu()

    Dim oMenu As New Eplan.EplApi.Gui.Menu()
        oMenu.AddMenuItem("aktuelle Seite Prüflauf ausführen...", "PageConfigOfflineVerificationAction", "Prüflauf auf der aktuellen Seite ausführen", 35214, 1, True, False)

  End Sub


  <DeclareAction("PageConfigOfflineVerificationAction")> _
   Public Sub PageConfigOfflineVerificationAction()

    Dim CommandLineInterpreter As New CommandLineInterpreter()

    'Aktuelle Seite markieren
    CommandLineInterpreter.Execute("XGedSelectPageAction")
    'Prüflauf ausführen
    CommandLineInterpreter.Execute("XMsgActionStartVerification")
		'Markierung aufheben
		CommandLineInterpreter.Execute("XGedEscapeAction")
                'Medungsverwaltung öffnen
                CommandLineInterpreter.Execute("XMsgManagementShowAction")

  End Sub

End Class
